## org.eclipse.emf.ecore.resource.impl
Class ResourceImpl.ModificationTrackingAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.ecore.resource.impl.ResourceImpl.ModificationTrackingAdapter

All Implemented Interfaces:
  Adapter, Adapter.Internal

Enclosing class:
  ResourceImpl

    protected class ResourceImpl.ModificationTrackingAdapter

extends AdapterImpl

An adapter implementation for tracking resource modification.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`protected` `ResourceImpl.ModificationTrackingAdapter()`

Method Summary
`void` `notifyChanged(Notification notification)` Does nothing; clients may override so that it does something.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceImpl.ModificationTrackingAdapter

    protected ResourceImpl.ModificationTrackingAdapter()

Method Detail

### notifyChanged

    public void notifyChanged(Notification notification)

  Description copied from class: `AdapterImpl`
  Does nothing; clients may override so that it does something.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `AdapterImpl`
  Parameters:
    `notification` - a description of the change.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.